zeligDepUpdate {Zelig} | R Documentation

## Download Zelig Dependencies Packages

### Description

Compares the packages in Zelig-matrix of dependencies to the locally installed packages. Finds local packages that have lower versions than in the corresponding row of the Zelig-matrix. Also, finds packages that Zelig required but are not installed locally. Downloads packages that are locally installed with lower versions and those from the Zelig-matrix that are not installed. The download repository is taken from either the default `repos` argument or from the ‘URL’ column of the Zelig-matrix of dependencies.

### Usage

    zeligDepUpdate(destdir = NULL, installWithVers = FALSE, lib.loc = NULL,
    repos = "http://cran.r-project.org")

### Arguments

`destdir` | directory to store the compress source-codes of packages that are downloaded from web repositories.
`installWithVers` | if TRUE, will invoke the install of the package such that it can be referenced by package version.
`lib.loc` | character vector describing the location of R library trees to search through (and update packages therein).
`repos` | character vector, the base URL(s) of the repositories to use, i.e. the URL of the CRAN master such as "http://cran.r-project.org", which is the default, or its Statlib mirror, "http://lib.stat.cmu.edu/R/CRAN". Can be NULL to install from local zip files.

### Value

No return value.

### Note

Installs first level dependencies packages of Zelig using R function `install.packages` with the variable `dependencies` set equal to TRUE. If the installed packages have versions higher than the corresponding entry in Zelig-matrix, they are reported with a message. If the R version in the local environment is different from the R version that Zelig depends on, then, it is reported with a message and no futher action is taken.

### Author(s)

Ferdinand Alimadhi and Elena Villalon

### References

King, Gary. Zelig: Everyones Statistical Software. http://gking.harvard.edu/zelig.

### See Also

`zeligDepStatus` `install.packages`

### Examples

    ##checks all libraries curently know for packages
    ## Not run: zeligDepUpdate()
    ##finds packages only in lib.loc
    ## Not run: zeligDepUpdate(lib.loc="~/.R/mylibrary")

[Package Zelig version 3.4-3 Index]